import {parse} from "next-useragent";
import DashboardBankManagementComponent from "@/components/dashboard/bank-management";

export default function BankManagement() {
    return (
        <DashboardBankManagementComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.bank_management_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["tracking_bank_loans"]}}
        },
    };
}
